import React, { Component } from 'react'
import { connect } from 'react-redux'
import { withTranslation } from 'react-i18next';
import i18n from 'i18next';

// Import Store
import { logOut } from '../store/actions/auth';
import { setDarkMode } from '../store/actions/all';

// Import Scss
import '../scss/navbar.scss'

import { Menu, Icon, Button, PageHeader, Dropdown, Divider, Drawer, List, Typography, Layout } from 'antd';
import { Link } from 'react-router-dom';
import Avatar from 'react-avatar';
const { Header } = Layout;

export class Navbar extends Component {
  constructor(props) {
    super(props);
    this.state = {
      language: i18n.language,
      resizeWidth: window.innerWidth,
      sizeMobile: 576,
    }
  }
  componentDidMount = () => {
    window.addEventListener('resize', this.handleResize);
    this.props.setDarkMode(false)
  }
  handleResize = (e) => {
    this.setState({
      resizeWidth: window.innerWidth
    })
  }

  changeLanguage = (lng) => {
    i18n.changeLanguage(lng);
    this.setState({
      language: lng
    });
  }

  render() {
    const { t, userInfo, darkMode, setDarkMode } = this.props;
    const { language, resizeWidth, sizeMobile } = this.state;
    const { SubMenu } = Menu;
    const { Text } = Typography;

    const InformationSVG = () => (
      <svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="22px" height="22px">
        <path stroke-opacity="1" d="M550.912 496.128h-231.424c-8.704 0-15.872 7.168-15.872 15.872s7.168 15.872 15.872 15.872H517.12l33.792-31.744z m-102.912 176.128l-15.872 128.512 128.512-15.872 15.872-15.872-112.128-112.128-16.384 15.36z m84.48 84.992l-68.608 11.264 11.264-68.608 57.344 57.344z m-132.608-117.248l16.896-15.872h-96.768c-8.704 0-15.872 7.168-15.872 15.872 0 8.704 7.168 15.872 15.872 15.872h80.384v-15.872z m-96.256 128.512c0 8.704 7.168 15.872 15.872 15.872h80.384v-32.256h-80.384c-8.704 0.512-15.872 7.68-15.872 16.384z m15.872-497.152h288.768c8.704 0 15.872-7.168 15.872-15.872s-7.168-15.872-15.872-15.872h-288.768c-8.704 0-15.872 7.168-15.872 15.872s7.168 15.872 15.872 15.872z m336.896-176.64h-416.768c-35.328 0-64 28.672-64 64v705.536c0 35.328 28.672 64 64 64h288.768c8.704 0 15.872-7.168 15.872-15.872s-7.168-15.872-15.872-15.872h-272.896c-26.624 0-48.128-21.504-48.128-48.128V175.104c0-26.624 21.504-48.128 48.128-48.128h400.896V287.232h160.256v80.384l32.256 32.256v-112.64l-192.512-192.512z m32.256 160.768v-80.384l80.384 80.384h-80.384z m128 593.408c0 26.624-21.504 48.128-48.128 48.128h-48.128c-8.704 0-15.872 7.168-15.872 15.872 0 8.704 7.168 15.872 15.872 15.872h64c35.328 0 64-28.672 64-64v-288.768l-32.256 32.256 0.512 240.64z m-497.152-449.024h332.288l33.792-32.256h-365.568c-8.704 0-15.872 7.168-15.872 15.872s6.656 16.384 15.36 16.384z m336.896 497.152h-32.256c-8.704 0-15.872 7.168-15.872 15.872 0 8.704 7.168 15.872 15.872 15.872h32.256c8.704 0 15.872-7.168 15.872-15.872 0-8.704-7.168-15.872-15.872-15.872z m115.2-323.072l56.832-56.832c18.944-18.944 18.944-49.152 0-68.096l-45.568-45.568c-18.944-18.944-49.152-18.944-68.096 0l-33.792 33.792-204.288 204.288 113.152 113.152 181.76-180.736z m-181.248 136.192L522.24 642.048l158.72-158.72 68.096 68.096-158.72 158.72z m113.152-249.344l33.792-33.792c6.144-6.144 16.384-6.144 22.528 0l45.568 45.568c6.144 6.144 6.144 16.384 0 22.528l-33.792 33.792-68.096-68.096z" fill="currentColor" ></path>
      </svg>
    );

    const KeySvg = () => (
      <svg fill="currentColor" t="1579885315905" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="5837" data-spm-anchor-id="a313x.7781069.0.i7" width="22" height="22">
        <path d="M537.6 460.8c-8.533333-8.533333-8.533333-23.466667 0-34.133333l179.2-174.933334c8.533333-8.533333 25.6-8.533333 34.133333 0 8.533333 8.533333 8.533333 23.466667 0 34.133334l-179.2 174.933333c-10.666667 8.533333-25.6 8.533333-34.133333 0zM362.666667 757.333333c-25.6 0-49.066667-8.533333-68.266667-27.733333-19.2-17.066667-27.733333-40.533333-27.733333-66.133333 0-25.6 10.666667-49.066667 27.733333-66.133334 38.4-36.266667 98.133333-36.266667 136.533333 0 19.2 17.066667 27.733333 40.533333 27.733334 66.133334 0 25.6-10.666667 49.066667-27.733334 66.133333-19.2 19.2-42.666667 27.733333-68.266666 27.733333z m0-140.8c-12.8 0-25.6 4.266667-34.133334 12.8-8.533333 8.533333-14.933333 21.333333-14.933333 34.133334s4.266667 23.466667 14.933333 34.133333c19.2 19.2 49.066667 19.2 68.266667 0 8.533333-8.533333 14.933333-21.333333 14.933333-34.133333s-6.4-23.466667-14.933333-32c-8.533333-10.666667-21.333333-14.933333-34.133333-14.933334z" p-id="5838"></path>
        <path d="M396.8 885.333333c-68.266667 0-132.266667-27.733333-181.333333-76.8s-74.666667-113.066667-76.8-183.466666c0-68.266667 25.6-134.4 74.666666-183.466667 34.133333-34.133333 76.8-59.733333 121.6-70.4 38.4-8.533333 78.933333-10.666667 117.333334 0 2.133333 0 6.4 0 8.533333-2.133333L676.266667 147.2c6.4-6.4 14.933333-10.666667 25.6-8.533333l136.533333 8.533333c14.933333 0 27.733333 12.8 29.866667 27.733333l17.066666 142.933334c2.133333 8.533333-2.133333 17.066667-6.4 25.6-6.4 6.4-14.933333 10.666667-23.466666 10.666666l-64 4.266667-6.4 70.4c-2.133333 17.066667-14.933333 29.866667-32 29.866667l-55.466667-2.133334-8.533333 74.666667c-2.133333 10.666667-6.4 19.2-17.066667 25.6l-19.2 10.666667c-4.266667 2.133333-4.266667 6.4-4.266667 8.533333 17.066667 85.333333-8.533333 172.8-70.4 234.666667-49.066667 46.933333-113.066667 74.666667-181.333333 74.666666z m-2.133333-471.466666c-55.466667 0-108.8 21.333333-149.333334 64-38.4 40.533333-61.866667 93.866667-59.733333 149.333333 0 55.466667 21.333333 108.8 61.866667 149.333333 40.533333 40.533333 91.733333 61.866667 147.2 61.866667 55.466667 0 108.8-21.333333 149.333333-61.866667 55.466667-55.466667 74.666667-136.533333 53.333333-213.333333l-4.266666-12.8c-2.133333-4.266667 0-8.533333 4.266666-10.666667l40.533334-21.333333c2.133333-2.133333 4.266667-4.266667 4.266666-6.4l10.666667-98.133333c0-4.266667 4.266667-8.533333 8.533333-8.533334l70.4 2.133334c4.266667 0 8.533333-4.266667 8.533334-8.533334L746.666667 320c0-4.266667 4.266667-8.533333 8.533333-8.533333l72.533333-4.266667c4.266667 0 8.533333-4.266667 8.533334-8.533333l-12.8-98.133334c0-4.266667-4.266667-6.4-8.533334-6.4l-106.666666-6.4c-2.133333 0-4.266667 0-6.4 2.133334L473.6 422.4c-2.133333 2.133333-6.4 2.133333-8.533333 2.133333l-8.533334-2.133333c-19.2-6.4-40.533333-8.533333-61.866666-8.533333z" p-id="5839"></path>
      </svg>
    );

    const SignoutSvg = () => (
      <svg t="1579887221342" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="6574" width="16" height="16">
        <path d="M832.512 558.933333H516.437333a55.04 55.04 0 0 1-54.954666-55.466666c0-30.634667 24.064-55.466667 54.954666-55.466667H815.786667l-90.624-93.866667a55.125333 55.125333 0 0 1 1.706666-78.08 55.637333 55.637333 0 0 1 78.08 1.024L990.72 469.333333a55.637333 55.637333 0 0 1 6.656 84.736l-197.12 190.293334a55.125333 55.125333 0 0 1-78.08-1.706667 55.637333 55.637333 0 0 1 1.024-78.08L832.512 558.933333zM602.965333 7.082667a64 64 0 0 1-20.992 126.293333 396.544 396.544 0 0 0-65.194666-5.376C301.909333 128 128 300.117333 128 512s173.909333 384 388.778667 384c20.992 0 41.642667-1.706667 62.037333-4.864a64 64 0 1 1 19.968 126.464 524.8 524.8 0 0 1-81.92 6.4C231.424 1024 0 794.965333 0 512s231.509333-512 516.778667-512c29.098667 0 57.941333 2.389333 86.186666 7.082667z" fill="currentColor" p-id="6575"></path>
      </svg>
    );

    const UserSvg = () => (
      <svg t="1579891512476" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="6605" width="70" height="70">
        <path d="M512.2 62.79C265.23 62.79 65 263.05 65 510.11c0 154 77.77 289.78 196.17 370.26a444.45 444.45 0 0 0 222.17 76.14q14.31 0.92 28.84 0.92 13.73 0 27.26-0.82A446.69 446.69 0 0 0 821.67 833c1-0.95 2-1.91 3-2.88 1.65-1.61 3.27-3.22 4.88-4.86s3.13-3.17 4.68-4.78a445.83 445.83 0 0 0 125.16-310.37c0-247.06-200.21-447.32-447.19-447.32z" fill="#00B3C1" p-id="6606"></path>
        <path d="M449.65 590.06h124.11v181.79H449.65z" fill="#FFE1CC" p-id="6607"></path><path d="M626.59 771.85L592 950.31a443.59 443.59 0 0 1-52.56 6.29q-13.52 0.82-27.26 0.82-14.54 0-28.84-0.92a445.13 445.13 0 0 1-46.51-5.4L391.5 772.84l44.87-27.59 13-8 60.81 34.61 64.19-34.61 12.05 8z" fill="#FFFFFF" p-id="6608"></path><path d="M483.37 956.51a444.45 444.45 0 0 1-222.17-76.14l14.8-69.79 160.33-65.33 46.76 207.68zM761.82 881.28a444.91 444.91 0 0 1-222.36 75.33l0.21-3.68 46.76-207.68 160.34 65.34z" fill="#292D2D" p-id="6609"></path>
        <path d="M510.19 524.86c31 17 78.55-111.72-2.8-104.44s2.8 104.44 2.8 104.44z m0 0M331.42 524.77c-30.57 17.83-81.52-109.58 0-104.47s0 104.47 0 104.47z m356.87 0c30.6 17.82 81.56-109.57 0-104.47s0 104.47 0 104.47z m0 0" fill="#FFE1CC" p-id="6610"></path><path d="M707.33 458.34c0 107.45-87.08 223.8-194.49 223.8s-194.49-116.3-194.49-223.8 87.08-194.55 194.49-194.55 194.49 87.1 194.49 194.55z m-15.77 347.5" fill="#FFE1CC" p-id="6611" data-spm-anchor-id="a313x.7781069.0.i0" class=""></path><path d="M545.71 251.6c8.25-30.48 38.72-48.21 68.85-46s58.94 21.65 80.34 46.66a120.23 120.23 0 0 1 17.25 25.53c14.86 30.68 12.77 136.31 0 165.45z m0 0" fill="#332115" p-id="6612"></path>
        <path d="M547.29 192.7c17.26 13.7 33.26 38.19 24.73 60.16-20.41 29.77-58.94 28.21-91 37C456 296.71 433 311.29 408 318.34c-29.35 8.28-61.62 5.44-87.92-11.64s-45.72-49.29-47-84.06c12.19 6.65 24.91 13.46 38.39 13.27 18.37-0.25 34.45-13.23 50.39-23.74 16.6-10.93 34.23-19.59 51.81-28.24 13.55-6.65 27.23-13.35 41.69-16.52 31.79-7 65.36 4 92 25.19z m0 0" fill="#332115" p-id="6613"></path>
        <path d="M718.24 406.5c-0.36-10.26-1.36-19.65-1.36-24.28-0.42-34.16-11.09-64-31.44-91.47C650.09 243.07 596.7 214 536.92 214H489.5c-53.38 0-104.23 24.58-140 63.75a180.77 180.77 0 0 0-43.1 84.92 198.63 198.63 0 0 0-3.89 49.33c0.57 13-2 37.88 14.38 28.52 10.19-5.8 20.33-26.87 29-35.83a213.64 213.64 0 0 1 36.63-30.48 178.32 178.32 0 0 1 89.18-28.82c51.11-2.33 99.61 16.45 143.51 41.07 25 14 48.12 21.73 65.72 45.16 4.4 5.86 8.84 12.39 15.75 14.86 20.12 7.23 22.31-18.3 21.58-40z m0 0" fill="#332115" p-id="6614"></path>
        <path d="M304.58 397.17c1.92-5.1 5.73-9.26 9.87-12.8a72.57 72.57 0 0 1 51.76-17.1c-18.53 19.23-36.51 42-37.7 68.66-0.78 17.48 5.73 35.9-1.13 52a190 190 0 0 1-23.88-73.22c-0.65-5.88-1-12 1.08-17.54z m410.19 0c-1.92-5.1-5.74-9.26-9.87-12.8a72.55 72.55 0 0 0-51.75-17.09c18.53 19.23 36.51 42 37.69 68.66 0.78 17.48-5.74 35.9 1.13 52a190 190 0 0 0 23.92-73.23c0.65-5.88 1-12-1.08-17.54z m0 0" fill="#332115" p-id="6615"></path>
        <path d="M574 669.39v17.79c-35.49 19.37-80.05 16.22-124.63 0.58v-19.35c5 0.13 1.76 0.27 2 0.35a153.68 153.68 0 0 0 62 13.35A149.62 149.62 0 0 0 574 669.39z m0 0" fill="#F4C7A8" p-id="6616"></path>
        <path d="M436.4 745.24l46.76 207.68-68.25-88.09 24.04-38.3h-33.79l-15.8-62.12 47.04-19.17zM586.42 745.24l-46.77 207.68 68.26-88.09-24.04-38.3h33.78l15.81-62.13-47.04-19.16z" fill="#BCBCBC" p-id="6617"></path>
        <path d="M494.46 788.737l15.84-15.84 15.84 15.84-15.84 15.839z" fill="#00B3C1" p-id="6618"></path>
        <path d="M526.14 929.24l-15.84 15.84-15.84-15.84 15.84-152.49 15.84 152.49z" fill="#00B3C1" p-id="6619"></path>
      </svg>
    );

    const SignInSvg = () => (
      <svg fill="currentColor" t="1579892207414" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="8073" width="22" height="22">
        <path d="M442.753262 622.621561a36.000362 36.000362 0 0 0 50.886767 50.886767l135.769136-135.769136a36.256288 36.256288 0 0 0 0-51.185348l-135.769136-135.641173a36.000362 36.000362 0 1 0-50.886767 50.886767l74.304064 74.26141H36.08567a36.043016 36.043016 0 0 0 0 72.086032h480.971656z" p-id="8074"></path>
        <path d="M983.398502 312.992859A511.469592 511.469592 0 0 0 104.460765 202.432507 35.957707 35.957707 0 0 0 161.660391 246.025362 443.606351 443.606351 0 0 1 313.296985 119.725515a439.340905 439.340905 0 0 1 509.550142 81.470013 440.066031 440.066031 0 0 1-139.778655 716.594874 440.791157 440.791157 0 0 1-369.984759-12.796337 444.374131 444.374131 0 0 1-151.636594-126.470464 35.957707 35.957707 0 1 0-57.199627 43.251619 516.118928 516.118928 0 0 0 176.461488 147.157876 512.578608 512.578608 0 0 0 702.817486-257.54761 513.133116 513.133116 0 0 0 0-398.392627z" p-id="8075"></path>
      </svg>
    );

    const RegisterSvg = () => (
      <svg fill="currentColor" t="1579892444534" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="9595" width="22" height="22">
        <path d="M722.6 645.295c17.497-26.999 9.793-63.072-17.206-80.567a433.17 433.17 0 0 0-69.045-36.377c69.66-51.387 114.937-134.006 114.937-227.013 0-155.467-126.483-281.951-281.951-281.951S187.384 145.87 187.384 301.338c0 92.95 45.223 175.527 114.811 226.919-51.763 21.557-99.309 53.261-140.153 94.103-82.08 82.08-127.284 191.213-127.284 307.292 0 32.174 26.082 58.254 58.254 58.254s58.254-26.08 58.254-58.254c0-175.385 142.685-318.068 318.068-318.068 61.579 0 121.298 17.606 172.699 50.915 27.002 17.498 63.074 9.793 80.567-17.206zM469.334 135.897c91.225 0 165.442 74.218 165.442 165.442s-74.218 165.442-165.442 165.442c-91.225 0-165.442-74.217-165.442-165.442s74.218-165.442 165.442-165.442zM926.63 743.197h-66.992v-66.992c0-32.174-26.08-58.254-58.254-58.254s-58.254 26.08-58.254 58.254v66.992h-66.992c-32.174 0-58.254 26.08-58.254 58.254s26.08 58.254 58.254 58.254h66.992v66.992c0 32.174 26.08 58.254 58.254 58.254s58.254-26.08 58.254-58.254v-66.992h66.992c32.174 0 58.254-26.08 58.254-58.254s-26.08-58.254-58.254-58.254z" p-id="9596"></path>
      </svg>
    );

    const DarkSvg = () => (
      <svg width="1.5em" height="1.5em" fill="currentColor"  t="1580978512795" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="5249">
        <path d="M510.918492 1024c-268.025899 0-487.830647-205.627589-510.847959-467.517105a47.797952 47.797952 0 0 1 84.216559-28.61294c0.258621 0.399688 0.68182 0.141066 0.68182-0.963953a309.663957 309.663957 0 0 0 226.317307 97.970519 313.496258 313.496258 0 0 0 313.54328-313.519768 309.710979 309.710979 0 0 0-98.934472-227.281261c0.141066-0.141066 0.68182-0.141066 0.423199-0.399687A48.268173 48.268173 0 0 1 556.694494 0c261.74845 23.299444 467.234973 242.963126 467.234973 510.965514 0 283.425633-229.608853 513.034486-513.010975 513.034486z" p-id="5250"></path>
      </svg>
    );

    const LightSvg = () => (
      <svg width="1.5em" height="1.5em" fill="currentColor" t="1580980728280" class="icon" viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" p-id="8662">
        <path d="M512 160c17.664 0 32-14.336 32-32L544 32C544 14.336 529.664 0 512 0 494.336 0 480 14.336 480 32L480 128C480 145.664 494.336 160 512 160z" p-id="8663"></path>
        <path d="M217.856 263.104c12.48 12.48 32.768 12.48 45.248 0 12.48-12.48 12.48-32.768 0-45.248L195.2 149.952c-12.48-12.48-32.768-12.48-45.248 0-12.48 12.48-12.48 32.768 0 45.248L217.856 263.104z" p-id="8664"></path>
        <path d="M160 512c0-17.664-14.336-32-32-32L32 480C14.336 480 0 494.336 0 512c0 17.664 14.336 32 32 32L128 544C145.664 544 160 529.664 160 512z" p-id="8665"></path>
        <path d="M806.144 263.104l67.904-67.904c12.48-12.48 12.48-32.768 0-45.248s-32.768-12.48-45.248 0l-67.904 67.904c-12.48 12.48-12.48 32.768 0 45.248C773.376 275.584 793.664 275.584 806.144 263.104z" p-id="8666"></path>
        <path d="M992 480 896 480c-17.664 0-32 14.336-32 32 0 17.664 14.336 32 32 32l96 0C1009.664 544 1024 529.664 1024 512 1024 494.336 1009.664 480 992 480z" p-id="8667"></path>
        <path d="M512 512m-288.192 0a4.503 4.503 0 1 0 576.384 0 4.503 4.503 0 1 0-576.384 0Z" p-id="8668"></path><path d="M806.144 760.896c-12.48-12.48-32.768-12.48-45.248 0-12.48 12.48-12.48 32.768 0 45.248l67.904 67.904c12.48 12.48 32.768 12.48 45.248 0 12.48-12.48 12.48-32.768 0-45.248L806.144 760.896z" p-id="8669"></path><path d="M217.856 760.896 149.952 828.8c-12.48 12.48-12.48 32.768 0 45.248 12.48 12.48 32.768 12.48 45.248 0l67.904-67.904c12.48-12.48 12.48-32.768 0-45.248C250.624 748.416 230.336 748.416 217.856 760.896z" p-id="8670"></path><path d="M512 864c-17.664 0-32 14.336-32 32l0 96C480 1009.664 494.336 1024 512 1024c17.664 0 32-14.336 32-32L544 896C544 878.336 529.664 864 512 864z" p-id="8671"></path>
      </svg>
    );

    const InformationIcon = props => <Icon component={InformationSVG} {...props} />;
    const KeyIcon = props => <Icon component={KeySvg} {...props} />;
    const SignOutIcon = props => <Icon component={SignoutSvg} {...props} />;
    const UserIcon = props => <Icon component={UserSvg} {...props} />;
    const SignInIcon = props => <Icon component={SignInSvg} {...props} />;
    const RegisterIcon = props => <Icon component={RegisterSvg} {...props} />;
    const DarkIcon = props => <Icon component={DarkSvg} {...props} />;
    const LightIcon = props => <Icon component={LightSvg} {...props} />;

    const MenuLanguage = ([
      <Menu.Item className="py-2 d-flex align-items-center" onClick={() => this.changeLanguage('th-TH')}>
        <img src="flags/th-TH.svg" style={{width: 25, alignSelf: 'center'}}/>&nbsp;
        {t('lbl_thai')}
      </Menu.Item>,
      <Menu.Item className="py-2 d-flex align-items-center" onClick={() => this.changeLanguage('en-US')}>
        <img src="flags/en-US.svg" style={{width: 25}}/>&nbsp;
        {t('lbl_english')}
      </Menu.Item>
    ]);

    const rightMenu = (
      <div className="float-right">
        <Menu mode="horizontal" selectedKeys={[this.props.currentPath.path]} className="border-0 bg-transparent" style={{display: resizeWidth < sizeMobile ? 'none': 'inline-block'}}>
          <Menu.Item key="/signin" className="d-inline-flex align-items-center" onClick={this.onCloseMenu}>
            <Link to="/signin" style={{color: darkMode ?'#fff':''}}>
              {t('lbl_sign_in')}
            </Link>
          </Menu.Item>
          <Menu.Item key="/register" className="d-inline-flex align-items-center" onClick={this.onCloseMenu}>
            <Link to="/register" style={{color: darkMode ?'#fff':''}}>
              {t('lbl_signup')}
            </Link>
          </Menu.Item>
        </Menu>
        <Button onClick={() => setDarkMode(!darkMode)} className="d-inline-flex align-item-center justify-content-center mx-md-3 px-0" size="small" ghost={darkMode? true : false} type="link" >
          { darkMode ? <DarkIcon /> : <LightIcon /> }
        </Button>
        <Divider type="vertical" className="sm-d-none"/>
        <Dropdown overlay={<Menu>{MenuLanguage}</Menu>} placement="bottomRight" className="d-flex align-items-center">
          <a className="ant-dropdown-link d-inline-flex align-items-center ml-3" href="#" style={{color: darkMode? '#fff': '#343a40'}}>
            {(resizeWidth >= sizeMobile) ? [
              <img className="header-design-lang mr-2" src={require('../assets/flags/'+language+'.png')} style={{width: 25}}/>, 
              t("lbl_"+language)
              ]:
              <Icon
                type="global"
                style={{cursor: "pointer", fontSize: 20, color: darkMode? '#fff': ''}}
              />
            }
          </a>
        </Dropdown>
      </div>
    );

    return (
      <Header className={ darkMode ? 'header-home-layout' : ''} style={{background: darkMode ? '' : '#fff', position: 'fixed', top: 0, left: 0, right: 0, zIndex: 1, padding: resizeWidth < sizeMobile ? '0 2rem' :'0 70px'}}>
        <div className="logo float-left">
          <img src={require('../assets/logo.png')} className="mr-2" style={{height: 30}}/>
          <Text className="sm-d-none" strong style={{fontSize: 16, color: darkMode ? '#fff' :'#0051cb'}}>Tum Port</Text>
        </div>
        {rightMenu}
      </Header>
    )
  }
}

const mapStateToProps = (state) => ({
  currentPath: state.currentPath,
  darkMode: state.darkMode.dark
})

const mapDispatchToProps = dispatch => {
  return {
    onLogOut: () => dispatch(logOut()),
    setDarkMode: (isDarkMode) => dispatch(setDarkMode(isDarkMode))
  }
}

export default withTranslation()(connect(mapStateToProps, mapDispatchToProps)(Navbar))
